package cn.palmte.work.model;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface ActTaskDefRepository extends JpaRepository<ActTaskDef, Integer> {


    List<ActTaskDef> findByProcDefId(String procDefId);


    ActTaskDef findFirstByProcDefIdAndTaskKey(String procDefId, String taskKey);

    void deleteByProcDefId(String procDefId);
}
